package gov.va.med.esr.common.model.ee;

// ----------------------------------------------------------------------------
// Import java classes
// ----------------------------------------------------------------------------

import java.util.Date;

import gov.va.med.fw.model.AbstractKeyedEntity;
import gov.va.med.esr.common.model.lookup.PensionReasonCode;
import gov.va.med.esr.common.model.person.Person;
/**
 * @author Commons Team
 * @author DNS   TSAIG
 * @version 1.0
 */
public class Pension extends AbstractKeyedEntity {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1232476991997401980L;
	
	private MonetaryBenefit monetaryBenefit = null;
	private Date effectiveDate = null;
	private Date terminationDate = null;
	
	private PensionReasonCode awardReasonCode = null;

	private PensionReasonCode terminationReasonCode1 = null;
	private PensionReasonCode terminationReasonCode2 = null;
	private PensionReasonCode terminationReasonCode3 = null;
	private PensionReasonCode terminationReasonCode4 = null;
	
	public Pension() {
		super();
	}

	public PensionReasonCode getAwardReasonCode() {
		return awardReasonCode;
	}

	public void setAwardReasonCode(PensionReasonCode awardReasonCode) {
		this.awardReasonCode = awardReasonCode;
	}

	public Date getEffectiveDate() {
		return effectiveDate;
	}

	public void setEffectiveDate(Date effectiveDate) {
		this.effectiveDate = effectiveDate;
	}

	public MonetaryBenefit getMonetaryBenefit() {
		return monetaryBenefit;
	}

	public void setMonetaryBenefit(MonetaryBenefit monetaryBenefit) {
		this.monetaryBenefit = monetaryBenefit;
	}

	public Date getTerminationDate() {
		return terminationDate;
	}

	public void setTerminationDate(Date terminationDate) {
		this.terminationDate = terminationDate;
	}

	public PensionReasonCode getTerminationReasonCode1() {
		return terminationReasonCode1;
	}

	public void setTerminationReasonCode1(PensionReasonCode terminationReasonCode1) {
		this.terminationReasonCode1 = terminationReasonCode1;
	}

	public PensionReasonCode getTerminationReasonCode2() {
		return terminationReasonCode2;
	}

	public void setTerminationReasonCode2(PensionReasonCode terminationReasonCode2) {
		this.terminationReasonCode2 = terminationReasonCode2;
	}

	public PensionReasonCode getTerminationReasonCode3() {
		return terminationReasonCode3;
	}

	public void setTerminationReasonCode3(PensionReasonCode terminationReasonCode3) {
		this.terminationReasonCode3 = terminationReasonCode3;
	}

	public PensionReasonCode getTerminationReasonCode4() {
		return terminationReasonCode4;
	}

	public void setTerminationReasonCode4(PensionReasonCode terminationReasonCode4) {
		this.terminationReasonCode4 = terminationReasonCode4;
	}

	
	
}